Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#744 closed defect (fixed)

fix unlink for dosfs

Reported by: snob Owned by: Jennifer Averett
Priority: highest Milestone: 2
Component: fs Version: 4.6
Severity: critical Keywords:
Cc: bugs@…, joel.sherrill@…, snob@… Blocked By:
Blocking:

Description

Currently unlink implementation don't work with dosfs. dosfs implementation don't allow parent traversing.

Release:
4.6.99.1

Environment:
All

Attachments (1)

unlink.diff (1.3 KB) - added by snob on 12/03/06 at 13:31:12.
unlink.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 01/20/05 at 17:11:33 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 08/17/05 at 18:20:36 by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to 4.6 branch and CVS trunk after Camilo
confirmed it worked.

Changed on 12/03/06 at 13:31:12 by snob

Attachment: unlink.diff added

unlink.diff

Note: See TracTickets for help on using tickets.